# Delete event

Delete a event

Endpoint: DELETE /event/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `event` (object)

  - `event.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `event.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `event.uuid` (string, required)

  - `event.primaryPlatformId` (string, required)

  - `event.createdAt` (string)
    The date and time this Entity has been created

  - `event.updatedAt` (string)
    The date and time this Entity has been updated

  - `event.language` (object)
    circular reference

  - `event.type` (string)
    Enum: "generalEvent", "sensorUpdateEvent", "gateInEvent", "gateOutEvent", "arrivalEvent", "departureEvent", "stopEngineEvent", "startEngineEvent", "startWaitingEvent", "stopWaitingEvent", "stopMovingEvent", "startMovingEvent", "locationUpdateEvent", "updateEvent", "associationRemovedEvent", "associationCreatedEvent", "capacityChangeEvent"

  - `event.lifeCycle` (string)
    Enum: "requested", "planned", "projected", "actual", "realized"

  - `event.externalAttributes` (object)

  - `event.identifiers` (array)

  - `event.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `event.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `event.identifiers.uuid` (string, required)

  - `event.identifiers.primaryPlatformId` (string, required)

  - `event.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `event.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `event.identifiers.language` (object)
    circular reference

  - `event.identifiers.name` (string)

  - `event.identifiers.system` (string)

  - `event.identifiers.value` (string)

  - `event.identifiers.expiredAt` (string)

  - `event.dateTime` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


